=== modified file 'installer/locale/de/langstrings.txt'
--- installer/locale/de/langstrings.txt	2010-08-18 21:50:50 +0000
+++ installer/locale/de/langstrings.txt	2011-06-19 14:14:34 +0000
@@ -9,6 +9,7 @@
 LangString msg_pagePrevInstallUninstallCheckBox ${LANG_GERMAN} "Deinstallation (empfohlen)"
 LangString shortcut_uninstall $(LANG_GERMAN) "deinstallieren"
 LangString shortcut_website $(LANG_GERMAN) "Internetseite"
+LangString shortcut_exploreProgrammFilesDir  $(LANG_GERMAN) "Verzeichnis der Programm-Dateien durchsuchen"
 LangString shortcut_exploreUserConfigDir $(LANG_GERMAN) "Verzeichnis der Benutzereinstellungen durchsuchen..."
 LangString docFolder $(LANG_GERMAN) "Dokumentation"
 LangString shortcut_readme $(LANG_GERMAN) "Liesmich"

=== modified file 'installer/locale/en/langstrings.txt'
--- installer/locale/en/langstrings.txt	2011-01-24 20:23:58 +0000
+++ installer/locale/en/langstrings.txt	2011-06-19 14:18:31 +0000
@@ -9,6 +9,7 @@
 LangString msg_pagePrevInstallUninstallCheckBox ${LANG_ENGLISH} "Uninstall (recommended)"
 LangString shortcut_uninstall $(LANG_ENGLISH) "Uninstall"
 LangString shortcut_website $(LANG_ENGLISH) "Website"
+LangString shortcut_exploreProgrammFilesDir  $(LANG_ENGLISH) "Explore Programm directory"
 LangString shortcut_exploreUserConfigDir $(LANG_ENGLISH) "Explore user configuration directory"
 LangString docFolder $(LANG_ENGLISH) "Documentation"
 LangString shortcut_keycom $(LANG_ENGLISH) "Keyboard Commands"

=== modified file 'installer/nvda.nsi'
--- installer/nvda.nsi	2011-02-14 11:23:55 +0000
+++ installer/nvda.nsi	2011-06-19 13:54:53 +0000
@@ -218,6 +218,7 @@
 CreateDirectory "$SMPROGRAMS\$StartMenuFolder"
 CreateShortCut "$SMPROGRAMS\$StartMenuFolder\${PRODUCT}.lnk" "$INSTDIR\${PRODUCT}.exe" "" "$INSTDIR\${PRODUCT}.exe" 0 SW_SHOWNORMAL
 CreateShortCut "$SMPROGRAMS\$StartMenuFolder\$(shortcut_exploreUserConfigDir).lnk" "$INSTDIR\nvda_slave.exe" "explore_userConfigPath" "" 0 SW_SHOWNORMAL
+CreateShortCut "$SMPROGRAMS\$StartMenuFolder\$(shortcut_exploreProgrammFilesDir).lnk" "$INSTDIR\nvda_slave.exe" "explore_ProgrammFilesPath"  "" 0 SW_SHOWNORMAL
 CreateDirectory "$SMPROGRAMS\$StartMenuFolder\$(docFolder)"
 CreateShortCut "$SMPROGRAMS\$StartMenuFolder\$(docFolder)\$(shortcut_keycom).lnk" "$INSTDIR\documentation\$(path_keycomfile)" "" "$INSTDIR\documentation\$(path_keycomfile)" 0 SW_SHOWMAXIMIZED
 CreateShortCut "$SMPROGRAMS\$StartMenuFolder\$(docFolder)\$(shortcut_userguide).lnk" "$INSTDIR\documentation\$(path_userguide)" "" "$INSTDIR\documentation\$(path_userguide)" 0 SW_SHOWMAXIMIZED

=== modified file 'source/nvda_slave.pyw'
--- source/nvda_slave.pyw	2010-09-14 03:24:47 +0000
+++ source/nvda_slave.pyw	2011-06-19 15:05:40 +0000
@@ -57,6 +57,16 @@
 			shellapi.ShellExecute(0,None,path,None,None,winUser.SW_SHOWNORMAL)
 		else:
 			raise ValueError("No such action")
+		elif action == "explore_ProgrammFilesPath":
+			path=nvdaDir
+			if not path:
+				raise ValueError("no programm files path")
+			config.initConfigPath(path)
+			import shellapi
+			import winUser
+			shellapi.ShellExecute(0,None,path,None,None,winUser.SW_SHOWNORMAL)
+		else:
+			raise ValueError("No such action")
 
 	except Exception, e:
 		sys.exit(e)

